Page MenuHomePhabricator

Conpherence wont refresh chat messages automatically, needs manual reload
Closed, ResolvedPublic

Description

Upstream report: https://secure.phabricator.com/T7755

Chat messages doesnt seem to show up in participants screen automatically once a new message shows up in the chat room. One has to either:

  • Reload the page
  • Type in a new message, and click "Send Message"

to see the chat window refresh. This hinders chat, and must be automatic.

Event Timeline

01tonythomas raised the priority of this task from to Needs Triage.
01tonythomas updated the task description. (Show Details)
01tonythomas added a subscriber: 01tonythomas.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 4:03 PM
01tonythomas set Security to None.

I can confirm this. New messages are not visible until we refresh.

Qgil triaged this task as Low priority.Apr 30 2015, 5:34 PM
Qgil updated the task description. (Show Details)
Qgil added a project: Phabricator (Upstream).
Qgil added a subscriber: Qgil.

This is a known problem upstream (https://secure.phabricator.com/T7755). However, I'm not sure whether we need to do some local homework in addition to wait upstream improvements. I don't do conpherences upstream, so I cannot compare whether this is working better there. Do you want to try?

Aklapper changed the task status from Open to Stalled.Feb 9 2016, 10:03 PM

https://secure.phabricator.com/T7755 is resolved in upstream, and I'm sure this is blocked by T765: Enable notification server (real-time pop-up notifications) in Phabricator. Hence setting status to stalled.

Restricted Application added subscribers: Luke081515, scfc. · View Herald TranscriptFeb 9 2016, 10:03 PM
Qgil removed a subscriber: Qgil.Feb 11 2016, 12:12 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 5 2016, 10:40 PM
Paladox changed the task status from Stalled to Open.May 5 2016, 10:43 PM

Changing status back to open since waiting on blocked task T765 to be resolved.

Please change the status back if I was wrong to touch it.

greg changed the task status from Open to Stalled.May 5 2016, 11:13 PM
greg added a subscriber: greg.

Thanks, but, waiting on another (long lasting) task is a fine reason to set this as stalled. Resetting.